Module javafx.graphics
Package javafx.print

# Enum Class PrintQuality

java.lang.Object
java.lang.Enum<PrintQuality>
javafx.print.PrintQuality

All Implemented Interfaces:
  `Serializable`, `Comparable<PrintQuality>`, `Constable`

public enum PrintQuality extends Enum<PrintQuality>
Class to decribe printing quality setting.

Since:
  JavaFX 8.0

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DRAFT`
Specify DRAFT quality printing.
`HIGH`
Specify HIGH quality printing.
`LOW`
Specify LOW quality printing.
`NORMAL`
Specify NORMAL quality printing.

## Method Summary

Modifier and Type
Method
Description
`static PrintQuality`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PrintQuality[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DRAFT

public static final PrintQuality DRAFT
Specify DRAFT quality printing.

### LOW

public static final PrintQuality LOW
Specify LOW quality printing.

### NORMAL

public static final PrintQuality NORMAL
Specify NORMAL quality printing. This is typically medium quality and/or the printer default.

### HIGH

public static final PrintQuality HIGH
Specify HIGH quality printing.

## Method Details

### values

public static PrintQuality[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PrintQuality valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null